Installing Multiple Versions Of LabVIEW With NI-DAQmx

Updated Jul 24, 2018

Reported In

Software

  • LabVIEW

Driver

  • NI-DAQmx

Issue Details

  • I want to install and develop on two, three or more versions of LabVIEW on the same machine. How do I find a common version of NI-DAQmx that is compatible with each version of LabVIEW.
  • I have to modify some old DAQmx code using an older version of LabVIEW and already have a newer version of LabVIEW installed.
  • If I install a newer LabVIEW version can I keep both LabVIEW versions on my machine and edit code in each separate version?
  • My lab uses multiple computers with different versions of LabVIEW and NI-DAQmx. What software I can migrate to without running into compatibility issues?

Solution

Typically, each version of NI-DAQmx only retains support for the current version of LabVIEW, and the previous 4 versions.

Additional Information

You can use this NI-DAQmx and LabVIEW Compatibility document to quickly compare version support.  Note: You can not have more than one version of NI-DAQmx installed at the same time on the same machine. For more information see: Installing Multiple Versions of NI-DAQmx on the Same Machine.

Use that compatibility information along with the other information found in these tutorials to prepare, install and troubleshoot on your system: If you need to use more versions of LabVIEW than a single version of NI-DAQmx can support, one option is to use one or more virtual machines with compatible versions.

If you installed another compatible version of LabVIEW and now you are missing NI-DAQmx functions, palettes, or receiving errors review the troubleshooting in this tutorial.
  • When installing an NI-DAQmx version that no longer supports your earlier version(s) of LabVIEW, NI-DAQmx support will be removed.

WAS THIS ARTICLE HELPFUL?

Not Helpful